Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReviewTemplate.Get(ctx, operations.C1APIAccessreviewV1AccessReviewTemplateServiceGetRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AccessReviewTemplateServiceGetResponse != nil {
// handle response
}
}{
"accessReviewTemplate": {
"accessReviewDuration": "<string>",
"autoGenerateReport": true,
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"exemptCertifiedAccessConflicts": true,
"id": "<string>",
"inclusionScope": {
"appUserStatuses": [],
"appUserTypes": [],
"managerIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"noAccountOwners": true,
"userIds": [
"<string>"
],
"userStatuses": []
},
"isCampaignScheduleEnabled": true,
"nextScheduledCampaignAt": "2023-11-07T05:31:56Z",
"notificationConfig": {
"sendClose": true,
"sendReminders": true
},
"occurrences": 123,
"policyId": "<string>",
"recurrenceRule": {
"endDate": "2023-11-07T05:31:56Z",
"interval": 123,
"occurrences": 123,
"startDate": "2023-11-07T05:31:56Z"
},
"reviewInstructions": "<string>",
"scope": {
"accountCelExpression": {
"expression": "<string>"
},
"accountCriteria": {
"accountTypes": [],
"appUserStatuses": [],
"noAccountOwner": true
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {},
"celExpression": {
"expression": "<string>"
},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": [
"<string>"
],
"includedAccessProfileIds": [
"<string>"
]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
}
},
"resourceTypeSelections": {},
"selectedUsers": {
"userIds": [
"<string>"
]
},
"specificAccessConflicts": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"userStatus": []
}
},
"signatureConfig": {
"meaningOfSignature": "<string>",
"requireSignature": true,
"stepUpProviderId": "<string>",
"tspUrl": "<string>"
},
"slackChannel": {
"description": "<string>",
"name": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"usePolicyOverride": true
}
}Access Review Template
Get
Invokes the c1.api.accessreview.v1.AccessReviewTemplateService.Get method.
GET
/
api
/
v1
/
access_review_template
/
{id}
Get
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReviewTemplate.Get(ctx, operations.C1APIAccessreviewV1AccessReviewTemplateServiceGetRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AccessReviewTemplateServiceGetResponse != nil {
// handle response
}
}{
"accessReviewTemplate": {
"accessReviewDuration": "<string>",
"autoGenerateReport": true,
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"exemptCertifiedAccessConflicts": true,
"id": "<string>",
"inclusionScope": {
"appUserStatuses": [],
"appUserTypes": [],
"managerIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"noAccountOwners": true,
"userIds": [
"<string>"
],
"userStatuses": []
},
"isCampaignScheduleEnabled": true,
"nextScheduledCampaignAt": "2023-11-07T05:31:56Z",
"notificationConfig": {
"sendClose": true,
"sendReminders": true
},
"occurrences": 123,
"policyId": "<string>",
"recurrenceRule": {
"endDate": "2023-11-07T05:31:56Z",
"interval": 123,
"occurrences": 123,
"startDate": "2023-11-07T05:31:56Z"
},
"reviewInstructions": "<string>",
"scope": {
"accountCelExpression": {
"expression": "<string>"
},
"accountCriteria": {
"accountTypes": [],
"appUserStatuses": [],
"noAccountOwner": true
},
"allAccessConflicts": {},
"allAccounts": {},
"allGrants": {},
"allUsers": {},
"appAccess": {},
"appSelectionCriteria": {},
"celExpression": {
"expression": "<string>"
},
"grantsByCriteria": {
"accessProfileFilter": {
"excludedAccessProfileIds": [
"<string>"
],
"includedAccessProfileIds": [
"<string>"
]
},
"daysSinceAdded": "<string>",
"daysSinceLastUsed": "<string>",
"daysSinceReviewed": "<string>",
"grantsAddedBetween": {
"endDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z"
}
},
"resourceTypeSelections": {},
"selectedUsers": {
"userIds": [
"<string>"
]
},
"specificAccessConflicts": {},
"specificResources": {},
"userCriteria": {
"groupAppEntitlementsRef": [
{
"appId": "<string>",
"id": "<string>"
}
],
"managerUserIds": [
"<string>"
],
"multiUserProfileAttributes": {},
"userStatus": []
}
},
"signatureConfig": {
"meaningOfSignature": "<string>",
"requireSignature": true,
"stepUpProviderId": "<string>",
"tspUrl": "<string>"
},
"slackChannel": {
"description": "<string>",
"name": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"usePolicyOverride": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The id field.
Response
200 - application/json
Successful response
The AccessReviewTemplateServiceGetResponse message.
The AccessReviewTemplate message.
This message contains a oneof named slack_channel_details. Only a single field of the following list may be set at a time:
- slackChannel
Show child attributes
Show child attributes
Was this page helpful?
⌘I